<?
// 웹에디터 필드명
if($edit_name == "") $edit_name = "contents";
if($edit_width == "") $edit_width="100%";
if($edit_height == "") $edit_height="400"; 
if($edit_skin == "") $edit_skin=""; 
?>

<script type="text/javascript" src="/common/smarteditor/js/HuskyEZCreator.js" charset="utf-8"></script>
<textarea name="<?=$edit_name?>" id="<?=$edit_name?>" rows="10" cols="100" style="width:<?=$edit_width?>; height:<?=$edit_height?>px;"><?=$edit_contents?></textarea>

<script type="text/javascript">
var oEditors_<?=$edit_name?> = [];

// 추가 글꼴 목록
var aAdditionalFontSet = [["Noto Sans KR", "Noto Sans KR"]];

nhn.husky.EZCreator.createInIFrame({
	oAppRef: oEditors_<?=$edit_name?>,
	elPlaceHolder: "<?=$edit_name?>",
	sSkinURI: "/common/smarteditor/SmartEditor2Skin<?=$edit_skin?>.html",	
	htParams : {
		bUseToolbar : true,				// 툴바 사용 여부 (true:사용/ false:사용하지 않음)
		bUseVerticalResizer : true,		// 입력창 크기 조절바 사용 여부 (true:사용/ false:사용하지 않음)
		bUseModeChanger : true,			// 모드 탭(Editor | HTML | TEXT) 사용 여부 (true:사용/ false:사용하지 않음)
		aAdditionalFontList : aAdditionalFontSet,		// 추가 글꼴 목록
		fOnBeforeUnload : function(){
			//alert("완료!");
		}
	}, //boolean
	fOnAppLoad : function(){
		setDefaultFont_<?=$edit_name?>();
		//예제 코드
		//oEditors.getById["ir1"].exec("PASTE_HTML", ["로딩이 완료된 후에 본문에 삽입되는 text입니다."]);
	},
	fCreator: "createSEditor2"
});

function submitContents(elClickedObj) {
	oEditors_<?=$edit_name?>.getById["<?=$edit_name?>"].exec("UPDATE_CONTENTS_FIELD", []);	// 에디터의 내용이 textarea에 적용됩니다.
	
	// 에디터의 내용에 대한 값 검증은 이곳에서 document.getElementById("ir1").value를 이용해서 처리하면 됩니다.
	
	try {
		elClickedObj.form.submit();
	} catch(e) {}
}
function setDefaultFont_<?=$edit_name?>() {
	var sDefaultFont = '나눔고딕';
	var nFontSize = '9';
	oEditors_<?=$edit_name?>.getById["<?=$edit_name?>"].setDefaultFont(sDefaultFont, nFontSize);
}
</script>
